
package fr.dawan.projet2soap.client;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import jakarta.xml.ws.Service;
import jakarta.xml.ws.WebEndpoint;
import jakarta.xml.ws.WebServiceClient;
import jakarta.xml.ws.WebServiceException;
import jakarta.xml.ws.WebServiceFeature;


/**
 * This class was generated by the XML-WS Tools.
 * XML-WS Tools 4.0.1
 * Generated source version: 3.0
 * 
 */
@WebServiceClient(name = "CalculatriceService", targetNamespace = "http://ws.projet2soap.dawan.fr/", wsdlLocation = "http://localhost:8080/calculatrice?wsdl")
public class CalculatriceService
    extends Service
{

    private static final URL CALCULATRICESERVICE_WSDL_LOCATION;
    private static final WebServiceException CALCULATRICESERVICE_EXCEPTION;
    private static final QName CALCULATRICESERVICE_QNAME = new QName("http://ws.projet2soap.dawan.fr/", "CalculatriceService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://localhost:8080/calculatrice?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        CALCULATRICESERVICE_WSDL_LOCATION = url;
        CALCULATRICESERVICE_EXCEPTION = e;
    }

    public CalculatriceService() {
        super(__getWsdlLocation(), CALCULATRICESERVICE_QNAME);
    }

    public CalculatriceService(WebServiceFeature... features) {
        super(__getWsdlLocation(), CALCULATRICESERVICE_QNAME, features);
    }

    public CalculatriceService(URL wsdlLocation) {
        super(wsdlLocation, CALCULATRICESERVICE_QNAME);
    }

    public CalculatriceService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, CALCULATRICESERVICE_QNAME, features);
    }

    public CalculatriceService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public CalculatriceService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns Calculatrice
     */
    @WebEndpoint(name = "CalculatricePort")
    public Calculatrice getCalculatricePort() {
        return super.getPort(new QName("http://ws.projet2soap.dawan.fr/", "CalculatricePort"), Calculatrice.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link jakarta.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns Calculatrice
     */
    @WebEndpoint(name = "CalculatricePort")
    public Calculatrice getCalculatricePort(WebServiceFeature... features) {
        return super.getPort(new QName("http://ws.projet2soap.dawan.fr/", "CalculatricePort"), Calculatrice.class, features);
    }

    private static URL __getWsdlLocation() {
        if (CALCULATRICESERVICE_EXCEPTION!= null) {
            throw CALCULATRICESERVICE_EXCEPTION;
        }
        return CALCULATRICESERVICE_WSDL_LOCATION;
    }

}
